.\"	$NetBSD: ht.4,v 1.9 2002/01/15 02:08:38 wiz Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ht.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt HT 4 vax
.Os
.Sh NAME
.Nm ht
.Nd
.Tn TM-03 Ns / Tn TE-16 ,
.Tn TU-45 ,
.Tn TU-77
.Tn MASSBUS
mag tape device interface:
.Sh SYNOPSIS
.Cd "ht0 at mba? drive ?"
.Cd "tu0 at ht0 slave 0"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Tn TM-03
transport combination provides a standard tape drive
interface as described in
.Xr mtio 4 .
All drives provide both 800 and 1600
.Tn BPI ;
the
.Tn TE-16
runs at 45
.Tn IPS ,
the
.Tn TU-45
at 75
.Tn IPS ,
while the
.Tn TU-77
runs at 125
.Tn IPS
and autoloads tapes.
.Sh DIAGNOSTICS
.Bl -diag
.It tu%d: no write ring.
An attempt was made to write on the tape drive
when no write ring was present; this message is written on the terminal of
the user who tried to access the tape.
.Pp
.It tu%d: not online.
An attempt was made to access the tape while it
was offline; this message is written on the terminal of the user
who tried to access the tape.
.Pp
.It tu%d: can't change density in mid-tape.
An attempt was made to write
on a tape at a different density than is already recorded on the tape.
This message is written on the terminal of the user who tried to switch
the density.
.Pp
.It "tu%d: hard error bn%d mbsr=%b er=%b ds=%b."
A tape error occurred
at block
.Em bn ;
the ht error register and drive status register are
printed in octal with the bits symbolically decoded.  Any error is
fatal on non-raw tape; when possible the driver will have retried
the operation which failed several times before reporting the error.
.El
.Sh SEE ALSO
.Xr mt 1 ,
.Xr tar 1 ,
.Xr mt 4 ,
.Xr mtio 4 ,
.Xr physio 4 ,
.Xr tm 4 ,
.Xr ts 4 ,
.Xr ut 4
.Sh HISTORY
An
.Nm
driver appeared in
.At v6 .
.Sh BUGS
May hang if physical (non-data) errors occur.
